%global momorel 1
%global dirname 2009.2

Summary: A panoramic photo stitcher and more
Name: hugin
Version: 2009.2.0
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://hugin.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{name}-%{dirname}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-base = %{version}-%{release}
BuildRequires: OpenEXR-devel
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: exiv2-devel
BuildRequires: freeglut-devel
BuildRequires: gettext-devel
BuildRequires: glew-devel
BuildRequires: libXmu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpano13-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: wxGTK-devel
BuildRequires: zlib-devel

%description
hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.  It uses the Panorama Tools as backend
to create high quality images.

%package base
Summary: Command-line tools and libraries required by hugin
Group: Applications/Multimedia
Requires: enblend
Requires: make
Requires: perl-Image-ExifTool

%description base
Command-line tools used to generate panoramic images, install this package
separately from hugin if you want to batch-process hugin projects on a machine
without a GUI environment.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database &> /dev/null ||:
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
%{_bindir}/update-desktop-database &> /dev/null ||:
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%post base
/sbin/ldconfig

%postun base
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/PTBatcher
%{_bindir}/PTBatcherGUI
%{_bindir}/autopano-noop.sh
%{_bindir}/celeste_standalone
%{_bindir}/%{name}
%{_bindir}/%{name}_stitch_project
%{_bindir}/nona_gui
%{_datadir}/applications/PTBatcherGUI.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/xrc
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/locale/*/LC_MESSAGES/hugin.mo
%{_mandir}/man1/PTBatcherGUI.1*
%{_mandir}/man1/celeste_standalone.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}_stitch_project.1*
%{_mandir}/man1/nona_gui.1*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files base
%defattr(-,root,root)
%{_bindir}/align_image_stack
%{_bindir}/autooptimiser
%{_bindir}/fulla
%{_bindir}/%{name}_hdrmerge
%{_bindir}/matchpoint
%{_bindir}/nona
%{_bindir}/pto2mk
%{_bindir}/tca_correct
%{_bindir}/vig_optimize
%{_libdir}/libceleste.so*
%{_libdir}/lib%{name}*.so*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/Makefile.equirect.mk
%{_mandir}/man1/align_image_stack.1*
%{_mandir}/man1/autooptimiser.1*
%{_mandir}/man1/fulla.1*
%{_mandir}/man1/%{name}_hdrmerge*
%{_mandir}/man1/nona.1*
%{_mandir}/man1/pto2mk.1*
%{_mandir}/man1/tca_correct.1*
%{_mandir}/man1/vig_optimize.1*

%changelog
* Sun Dec  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2009.2.0-1m)
- initial package for qtpfsgui-1.9.3
